Subject: Re: bug#65624: [PATCH] gnu: liburcu: Update to 0.14.0.

From: Olivier Dion <[email-masked]>
Date: Wed, 06 Sep 2023 10:32:52 -0400

On Wed, 06 Sep 2023, Maxim Cournoyer <[email-masked]> wrote:
> Hi,
>
> [email-masked] writes:
>
>> From: Olivier Dion <[email-masked]>
>>
>> * gnu/packages/datastructures.scm (liburcu): Update to 0.14.0.
>
> According to QA new errors were introduced with this upgrade:
> https://qa.guix.gnu.org/issue/65624.  It looks like it broke at least
> multipath-tools.

There are missing include statements in compilation units of multipath-
tools for <assert.h>.  It probably worked before because Userspace RCU
was including it in its public header file and not anymore.  Therefore,
it is a bug of mutlipath-tools which was fixed in version 0.9.6.

So I see two solutions to this.  Either I back-port the patch to version
0.9.3 or we update multipath-tools to 0.9.6.

Thought? 
-- 
Olivier Dion
EfficiOS Inc.
https://www.efficios.com